# Interface FacilityPart

Distinct part of the facility (e.g. storey or railway part)

interface FacilityPart {
aggregatedFacilityParts?: string[];
aggregatedSpaces?: string[];
class: FacilityPartClass;
elementQuantities?: ElementQuantities[];
id: string;
name?: string;
propertySets?: PropertySet[];
}

##### Index

### Properties

aggregatedFacilityParts?
aggregatedSpaces?
class
elementQuantities?
id
name?
propertySets?

## Properties

### `Optional` aggregatedFacilityParts

aggregatedFacilityParts?: string[]

Facility parts that are parts of this part (e.g multiple floor 3 in on different height that are in different parts of the building)

### `Optional` aggregatedSpaces

aggregatedSpaces?: string[]

Spaces that are part of the facility part

### class

class: FacilityPartClass

Type of facility part (e.g. IfcBuildingStorey)

### `Optional` elementQuantities

elementQuantities?: ElementQuantities[]

### id

id: string

Unique identifier for the facility part

### `Optional` name

name?: string

### `Optional` propertySets

propertySets?: PropertySet[]